# norootforbuild

%define mod_name mod_auth_token

%{!?apxs: %global apxs /usr/sbin/apxs2}
%{!?apache_libexecdir: %global apache_libexecdir %(%{apxs} -q LIBEXECDIR)}
%{!?apache_mmn: %global apache_mmn %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)}

#
Name: apache2-mod_auth_token
Version: 1.0.5
Release: 6.6
Group: Productivity/Networking/Web/Servers
License: Apache License
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: apache2-devel
BuildRequires:	libtool
Requires:      apache2 %{apache_mmn}
URL: http://www.synd.info/downloads/releases/
Source: http://www.synd.info/downloads/releases/%{mod_name}-%{version}.tar.gz
Patch0: mod_auth_token-1.0.5-terminating_NULL.diff
Patch1:	auth_token_ap24.patch
Summary: Token-based authentication similar to mod_secdownload in LIGHTTPD

%description
This module uses token based authentication to secure downloads and prevent
deep-linking.

Have your PHP script or servlet generate the to authenticate the
download. Apache can then treat the download request like a normal file
transfer without having to pipe the file through a script in order to
add authentication.

Authors:
---------
    Mikael Johansson (http://www.synd.info)

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1
%patch1

%build
./buildconf
%configure --with-apxs="%{apxs}"
%{__make}

%install
%{__install} -Dd -m 0755 %{buildroot}%{apache_libexecdir}
%{apxs} -S LIBEXECDIR="%{buildroot}%{apache_libexecdir}" -i %{mod_name}.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{apache_libexecdir}/%{mod_name}.so
%doc AUTHORS README ChangeLog LICENSE
%changelog
* Tue Aug  7 2012 crrodriguez@opensuse.org
- Fix per-module logging in apache 2.4
* Wed Aug  1 2012 crrodriguez@opensuse.org
- Fix build, missing BUildRequires.
* Fri Mar  4 2011 draht@suse.de
- fix brokenness with _service file that didn't work
* Thu Mar  3 2011 crrodriguez@opensuse.org
- Update to version 1.0.5
* Thu Mar  3 2011 draht@suse.de
- mod_auth_token-1.0.2-terminating_NULL.diff adds required
  terminating NULL to apr_pstrcat()
